Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161320 - No option for splittree.py to omit building SRPM discs
Summary: No option for splittree.py to omit building SRPM discs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 12:42 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-08 18:20:28 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2005-06-22 12:42:51 UTC
+++ This bug was initially created as a clone of Bug #119070 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
In splittree.py it is not possible to omit the creation of trees for
SRPMS. In case when you don't have SRPMS (internal release inside a
company or a lab for instance) splittree will complain if you  
specify the amount of src-discs as 0:

for i in range(self.src_list[0], self.src_list[-1] + 1): IndexError:
list index out of range

Having an option that can let you turn off the creation of the SRPM
things would be convenient to have in some cases. Attached bug solves
it in a very very crude way by adding a new --no_srpm option, it would
be better to have the option 'src-discs 0' handle it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. when creating your own CDs don't have any SRPMS
2. set as option src-discs 0
3. splittree.py will complain and barf
    
Patch was committed in the devel branch, this is a bug to ask for the patch to
be backported to RHEL3.

Comment 1 Jeremy Katz 2005-06-22 14:58:03 UTC
We don't support customers building custom trees.  NAK for RHEL updates.


Note You need to log in before you can comment on or make changes to this bug.